Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.portlet.filter
Interface FilterConfig

    public interface FilterConfig

A filter configuration object used by a portlet container to pass information to a filter during initialization.

Since:
  2.0

Method Summary
`String` | `getFilterName()` Returns the filter-name of this filter as defined in the portlet deployment descriptor.
`String` | `getInitParameter(String name)` Returns a String containing the value of the named initialization parameter, or `null` if the parameter does not exist.
`Enumeration<String>` | `getInitParameterNames()` Returns the names of the filter's initialization parameters as an Enumeration of String objects, or an empty Enumeration if the filter has no initialization parameters.
`PortletContext` | `getPortletContext()` Returns a reference to the `PortletContext` in which the caller is executing.

Method Detail

### getFilterName

    String getFilterName()

  Returns the filter-name of this filter as defined in the portlet deployment descriptor.

  Returns
    the filter name

### getPortletContext

    PortletContext getPortletContext()

  Returns a reference to the `PortletContext` in which the caller is executing.

  Returns
    the portlet context

### getInitParameter

    String getInitParameter(String name)

  Returns a String containing the value of the named initialization parameter, or `null` if the parameter does not exist.

  Initialization parameters are defined in the portlet deployment descriptor.

  Parameters
    `name` - the name of the initialization parameter to return
  Returns
    initialization parameter, or `null` if the parameter does not exist.

### getInitParameterNames

    Enumeration<String> getInitParameterNames()

  Returns the names of the filter's initialization parameters as an Enumeration of String objects, or an empty Enumeration if the filter has no initialization parameters.

  Initialization parameters are defined in the portlet deployment descriptor.

  Returns
    the names of the filter's initialization parameters, or an empty Enumeration if the filter has no initialization parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.